# Interface JobExecutor

### Hierarchy

- JobExecutor

### Implemented by

- BaseJobExecutor
- ComputeJobExecutor
- FileUploader
- JesJobExecutor
- Sas9JobExecutor
- WebJobExecutor

### Properties

- execute
- resendWaitingRequests

## Properties

### execute

execute: function

- Defined in src/job-execution/JobExecutor.ts:8

#### Type declaration

- - (sasJob: string, data: any, config: any, loginRequiredCallback?: any, authConfig?: AuthConfig, extraResponseAttributes?: ExtraResponseAttributes[]): Promise<any>

  - #### Parameters

    - ##### sasJob: string

    - ##### data: any

    - ##### config: any

    - ##### Optional loginRequiredCallback: any

    - ##### Optional authConfig: AuthConfig

    - ##### Optional extraResponseAttributes: ExtraResponseAttributes[]

    #### Returns Promise<any>

### resendWaitingRequests

resendWaitingRequests: function

- Defined in src/job-execution/JobExecutor.ts:16

#### Type declaration

- - (): Promise<void>

  - #### Returns Promise<void>

Generated using TypeDoc